Update Text Message
curl --request PUT \
--url https://crm.universal.rollout.com/api/textMessages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"status": "<string>",
"isIncoming": true,
"externalLabel": "<string>",
"externalUrl": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"sent": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://crm.universal.rollout.com/api/textMessages/{id}"
payload = {
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"status": "<string>",
"isIncoming": True,
"externalLabel": "<string>",
"externalUrl": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"sent": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
personId: '<string>',
userId: '<string>',
message: '<string>',
status: '<string>',
isIncoming: true,
externalLabel: '<string>',
externalUrl: '<string>',
toNumber: '<string>',
fromNumber: '<string>',
sent: '2023-11-07T05:31:56Z'
})
};
fetch('https://crm.universal.rollout.com/api/textMessages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/textMessages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'personId' => '<string>',
'userId' => '<string>',
'message' => '<string>',
'status' => '<string>',
'isIncoming' => true,
'externalLabel' => '<string>',
'externalUrl' => '<string>',
'toNumber' => '<string>',
'fromNumber' => '<string>',
'sent' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/textMessages/{id}"
payload := strings.NewReader("{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://crm.universal.rollout.com/api/textMessages/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/textMessages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"isIncoming": true,
"status": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"externalLabel": "<string>",
"externalUrl": "<string>",
"sent": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Text Messages
Update Text Message
Requires textMessages: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
PUT
/
textMessages
/
{id}
Update Text Message
curl --request PUT \
--url https://crm.universal.rollout.com/api/textMessages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"status": "<string>",
"isIncoming": true,
"externalLabel": "<string>",
"externalUrl": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"sent": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://crm.universal.rollout.com/api/textMessages/{id}"
payload = {
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"status": "<string>",
"isIncoming": True,
"externalLabel": "<string>",
"externalUrl": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"sent": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
personId: '<string>',
userId: '<string>',
message: '<string>',
status: '<string>',
isIncoming: true,
externalLabel: '<string>',
externalUrl: '<string>',
toNumber: '<string>',
fromNumber: '<string>',
sent: '2023-11-07T05:31:56Z'
})
};
fetch('https://crm.universal.rollout.com/api/textMessages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/textMessages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'personId' => '<string>',
'userId' => '<string>',
'message' => '<string>',
'status' => '<string>',
'isIncoming' => true,
'externalLabel' => '<string>',
'externalUrl' => '<string>',
'toNumber' => '<string>',
'fromNumber' => '<string>',
'sent' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/textMessages/{id}"
payload := strings.NewReader("{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://crm.universal.rollout.com/api/textMessages/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/textMessages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"personId\": \"<string>\",\n \"userId\": \"<string>\",\n \"message\": \"<string>\",\n \"status\": \"<string>\",\n \"isIncoming\": true,\n \"externalLabel\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"toNumber\": \"<string>\",\n \"fromNumber\": \"<string>\",\n \"sent\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"personId": "<string>",
"userId": "<string>",
"message": "<string>",
"isIncoming": true,
"status": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"externalLabel": "<string>",
"externalUrl": "<string>",
"sent": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Query Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200